Package com.smartgwt.logicalstructure.widgets

# Class DateChooserLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.DateChooserLogicalStructure

public class DateChooserLogicalStructure extends VLayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `alternateStyleSuffix`
  `String`
  `alternateWeekStyles`
  `String`
  `applyButtonTitle`
  `String`
  `baseBottomButtonStyle`
  `String`
  `baseButtonStyle`
  `String`
  `baseFiscalYearStyle`
  `String`
  `baseNavButtonStyle`
  `String`
  `baseWeekdayStyle`
  `String`
  `baseWeekendStyle`
  `String`
  `baseWeekStyle`
  `String[]`
  `buttonLayoutControls`
  `String`
  `cancelButtonTitle`
  `String`
  `closeOnDateClick`
  `String`
  `closeOnEscapeKeypress`
  `String`
  `dayNameLength`
  `String[]`
  `disabledDates`
  `String`
  `disabledWeekdayStyle`
  `String`
  `disabledWeekendStyle`
  `String`
  `disableWeekends`
  `String`
  `endDate`
  `String`
  `endYear`
  `String`
  `endYearRange`
  `String`
  `firstDayOfWeek`
  `String`
  `fiscalYearFieldTitle`
  `String`
  `fiscalYearHeaderStyle`
  `String`
  `headerHeight`
  `String`
  `headerStyle`
  `String`
  `menuItemStyle`
  `String`
  `monthMenuStyle`
  `String`
  `navigationButtonHeight`
  `String`
  `navigationLayoutHeight`
  `String`
  `nextMonthButtonAriaLabel`
  `String`
  `nextMonthIcon`
  `String`
  `nextMonthIconHeight`
  `String`
  `nextMonthIconRTL`
  `String`
  `nextMonthIconWidth`
  `String`
  `nextYearButtonAriaLabel`
  `String`
  `nextYearIcon`
  `String`
  `nextYearIconHeight`
  `String`
  `nextYearIconRTL`
  `String`
  `nextYearIconWidth`
  `String`
  `previousMonthButtonAriaLabel`
  `String`
  `previousYearButtonAriaLabel`
  `String`
  `prevMonthIcon`
  `String`
  `prevMonthIconHeight`
  `String`
  `prevMonthIconRTL`
  `String`
  `prevMonthIconWidth`
  `String`
  `prevYearIcon`
  `String`
  `prevYearIconHeight`
  `String`
  `prevYearIconRTL`
  `String`
  `prevYearIconWidth`
  `String`
  `selectedWeekStyle`
  `String`
  `showApplyButton`
  `String`
  `showCancelButton`
  `String`
  `showFiscalYearChooser`
  `String`
  `showSecondItem`
  `String`
  `showTimeItem`
  `String`
  `showTodayButton`
  `String`
  `showWeekChooser`
  `String`
  `showWeekends`
  `String`
  `skinImgDir`
  `String`
  `startDate`
  `String`
  `startYear`
  `String`
  `startYearRange`
  `String`
  `styleWeekends`
  `String`
  `timeItemTitle`
  `String`
  `todayButtonHeight`
  `String`
  `todayButtonTitle`
  `String`
  `todayStyle`
  `String`
  `use24HourTime`
  `String`
  `useFirstDayOfFiscalWeek`
  `String[]`
  `weekendDays`
  `String`
  `weekendHeaderStyle`
  `String`
  `weekFieldTitle`
  `String`
  `weekHeaderStyle`
  `String`
  `weekMenuStyle`
  `String`
  `yearMenuStyle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, editProxyConstructor, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateChooserLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### alternateStyleSuffix

    public String alternateStyleSuffix

  - ### alternateWeekStyles

    public String alternateWeekStyles

  - ### applyButtonTitle

    public String applyButtonTitle

  - ### baseBottomButtonStyle

    public String baseBottomButtonStyle

  - ### baseButtonStyle

    public String baseButtonStyle

  - ### baseFiscalYearStyle

    public String baseFiscalYearStyle

  - ### baseNavButtonStyle

    public String baseNavButtonStyle

  - ### baseWeekdayStyle

    public String baseWeekdayStyle

  - ### baseWeekendStyle

    public String baseWeekendStyle

  - ### baseWeekStyle

    public String baseWeekStyle

  - ### buttonLayoutControls

    public String[] buttonLayoutControls

  - ### cancelButtonTitle

    public String cancelButtonTitle

  - ### closeOnDateClick

    public String closeOnDateClick

  - ### closeOnEscapeKeypress

    public String closeOnEscapeKeypress

  - ### dayNameLength

    public String dayNameLength

  - ### disabledDates

    public String[] disabledDates

  - ### disabledWeekdayStyle

    public String disabledWeekdayStyle

  - ### disabledWeekendStyle

    public String disabledWeekendStyle

  - ### disableWeekends

    public String disableWeekends

  - ### endDate

    public String endDate

  - ### endYear

    public String endYear

  - ### endYearRange

    public String endYearRange

  - ### firstDayOfWeek

    public String firstDayOfWeek

  - ### fiscalYearFieldTitle

    public String fiscalYearFieldTitle

  - ### fiscalYearHeaderStyle

    public String fiscalYearHeaderStyle

  - ### headerHeight

    public String headerHeight

  - ### headerStyle

    public String headerStyle

  - ### menuItemStyle

    public String menuItemStyle

  - ### monthMenuStyle

    public String monthMenuStyle

  - ### navigationButtonHeight

    public String navigationButtonHeight

  - ### navigationLayoutHeight

    public String navigationLayoutHeight

  - ### nextMonthButtonAriaLabel

    public String nextMonthButtonAriaLabel

  - ### nextMonthIcon

    public String nextMonthIcon

  - ### nextMonthIconHeight

    public String nextMonthIconHeight

  - ### nextMonthIconRTL

    public String nextMonthIconRTL

  - ### nextMonthIconWidth

    public String nextMonthIconWidth

  - ### nextYearButtonAriaLabel

    public String nextYearButtonAriaLabel

  - ### nextYearIcon

    public String nextYearIcon

  - ### nextYearIconHeight

    public String nextYearIconHeight

  - ### nextYearIconRTL

    public String nextYearIconRTL

  - ### nextYearIconWidth

    public String nextYearIconWidth

  - ### previousMonthButtonAriaLabel

    public String previousMonthButtonAriaLabel

  - ### previousYearButtonAriaLabel

    public String previousYearButtonAriaLabel

  - ### prevMonthIcon

    public String prevMonthIcon

  - ### prevMonthIconHeight

    public String prevMonthIconHeight

  - ### prevMonthIconRTL

    public String prevMonthIconRTL

  - ### prevMonthIconWidth

    public String prevMonthIconWidth

  - ### prevYearIcon

    public String prevYearIcon

  - ### prevYearIconHeight

    public String prevYearIconHeight

  - ### prevYearIconRTL

    public String prevYearIconRTL

  - ### prevYearIconWidth

    public String prevYearIconWidth

  - ### selectedWeekStyle

    public String selectedWeekStyle

  - ### showApplyButton

    public String showApplyButton

  - ### showCancelButton

    public String showCancelButton

  - ### showFiscalYearChooser

    public String showFiscalYearChooser

  - ### showSecondItem

    public String showSecondItem

  - ### showTimeItem

    public String showTimeItem

  - ### showTodayButton

    public String showTodayButton

  - ### showWeekChooser

    public String showWeekChooser

  - ### showWeekends

    public String showWeekends

  - ### skinImgDir

    public String skinImgDir

  - ### startDate

    public String startDate

  - ### startYear

    public String startYear

  - ### startYearRange

    public String startYearRange

  - ### styleWeekends

    public String styleWeekends

  - ### timeItemTitle

    public String timeItemTitle

  - ### todayButtonHeight

    public String todayButtonHeight

  - ### todayButtonTitle

    public String todayButtonTitle

  - ### todayStyle

    public String todayStyle

  - ### use24HourTime

    public String use24HourTime

  - ### useFirstDayOfFiscalWeek

    public String useFirstDayOfFiscalWeek

  - ### weekendDays

    public String[] weekendDays

  - ### weekendHeaderStyle

    public String weekendHeaderStyle

  - ### weekFieldTitle

    public String weekFieldTitle

  - ### weekHeaderStyle

    public String weekHeaderStyle

  - ### weekMenuStyle

    public String weekMenuStyle

  - ### yearMenuStyle

    public String yearMenuStyle

- ## Constructor Details

  - ### DateChooserLogicalStructure

    public DateChooserLogicalStructure()